<template>
  <div>
    <Search />
    <div class="row mt-5 w-75 mx-auto">
      <div
        v-for="(photo, index) in photos"
        :key="photo.id"
        @click="handleImageClick(photo)"
        class="col-lg-4 col-md-12 mb-4 mb-lg-0">
        <img
          :src="photo.urls.regular"
          class="w-100 shadow-1-strong rounded mb-4"
          :alt="photo.description" />
      </div>
    </div>
  </div>
</template>

<script lang="ts">
import Search from "@/components/Search.vue";
import { Photo } from "@/interfaces/PhotoDto";
import { usePhotosStore } from "@/stores/usePhotosStore";
import { defineComponent, onMounted } from "vue";
import { useRoute, useRouter } from "vue-router";

export default defineComponent({
  name: "HomeView",
  components: { Search },
  setup() {
    const { photos, getPhotos, getLikedPhotos, setCurrentPhoto } =
      usePhotosStore();
    const router = useRouter();

    const handleImageClick = (photo: Photo) => {
      setCurrentPhoto(photo);
      router.push(`/${photo.id}`);
    };
    onMounted(() => {
      getPhotos();
      // getLikedPhotos();
    });
    return { photos, handleImageClick };
  },
});
</script>

<style scoped>
.col-lg-4 img {
  height: 300px;
}
</style>
